Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-user-br
Navigation:
Lists: gentoo-user-br: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: gentoo-user-br@g.o
From: Rodolfo Penha <rodolfo.penha@...>
Subject: Re: dúvida atualização para 2005.0
Date: Tue, 29 Mar 2005 14:26:55 -0300
A opção newuse é util quando vc altera alguma USE Flag. Com esta opção
ativada, todos os programas que são afetados pela nova flag são
reinstalados com o suporte ativado.

Quando vc executa um


#emerge -pvu --newuse world


os programas que são afetados pela alteração são listados e a nova USE
Flag aparece em verde com um asterísco (*) do lado direito.

Agora, se vc quiser o suporte a uma USE Flag somente em um programa
específico, esqueça a opção --newuse. Basta apenas colocar:


#USE="nome_da_flag" emerge aplicativo


Quanto à versão do kernel, aconselho vc a utilizar o emerge para
instalar o novo kernel (emerge sys-kernel/gentoo-sources). Crie o link
simbólico no /usr/src/ e compile-o com o genkernel (genkernel all
--menuconfig, genkernel --help para mais opções).

Caso tudo dê certo, remova o kernel antigo com o emerge -C
=sys-kernel/gentoo-sources-2.x.x-rx. Apague o conteúdo do
/usr/src/gentoo-sources-2.4.x-rx (sempre fica algo lá, mesmo após o
emerge -C).

Bem, espero que tenha ajudado.

[ ]s

Rodolfo Penha


Leonardo Saraiva wrote:

>Bom, estou vendo para atualizar o meu gentoo. Porém tenho dúvidas. 
>
>Li e não entendi muito bem qual a real função da opção *--newuse* na
>atualização. Alguém poderia desenhar? d:
>
>Digamos que eu tenho 2 pacotes diferentes, em um eu quero java e no
>outro não. Terei que atualizar cada pacote separadamente? Depois que
>eu atualizar ele vai parar de listar esse pacote na atualização?
>(sendo que um deles nem precisa atualizar, só precisa recompilar).
>
>Eu instalei o gentoo-sources (que era o 2.4.x) do kernel, agora ele
>mesmo continuando usando o gentoo-sources, a versão é 2.6.x, eu só
>removo a pasta anterior (/usr/src/linux-2.4x) ou tenho que remover
>usando algum comando do emerge? Essa versão tem alguma alteração
>drástica ou é só atualizar os pacotes mesmo? (já fiz o link novo do
>make.profile)
>
>  
>


--
gentoo-user-br@g.o mailing list

Replies:
Re: dúvida atualização para 2005.0
-- Wagner Hebert
References:
dúvida atualização para 2005.0
-- Leonardo Saraiva
Navigation:
Lists: gentoo-user-br: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
Re: dúvida atualização para 2005.0
Next by thread:
Re: dúvida atualização para 2005.0
Previous by date:
Re: dúvida atualização para 2005.0
Next by date:
Re: Pau durante a instalação


Updated Jun 17, 2009

Summary: Archive of the gentoo-user-br mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.